Loading...
Searching...
No Matches
GetState< BuildT > Struct Template Reference

Implements Tree::isActive(Coord) More...

`#include <nanovdb/NanoVDB.h>`

## Static Public Member Functions

static auto | get (const NanoRoot< BuildT > &)
static auto | get (const typename NanoRoot< BuildT >::Tile &tile)
static auto | get (const NanoUpper< BuildT > &node, uint32_t n)
static auto | get (const NanoLower< BuildT > &node, uint32_t n)
static auto | get (const NanoLeaf< BuildT > &leaf, uint32_t n)

## Detailed Description

template<typename BuildT>
struct nanovdb::GetState< BuildT >

Implements Tree::isActive(Coord)

Template Parameters

  BuildT | Build type of the grid being called

## Member Function Documentation

## get() [1/5]

template<typename BuildT>

auto get | ( | const NanoLeaf< BuildT > & | leaf,
|  | uint32_t | n )

inline static

## get() [2/5]

template<typename BuildT>

auto get | ( | const NanoLower< BuildT > & | node,
|  | uint32_t | n )

inline static

## get() [3/5]

template<typename BuildT>

auto get | ( | const NanoRoot< BuildT > & |  | ) |

inline static

## get() [4/5]

template<typename BuildT>

auto get | ( | const NanoUpper< BuildT > & | node,
|  | uint32_t | n )

inline static

## get() [5/5]

template<typename BuildT>

auto get | ( | const typename NanoRoot< BuildT >::Tile & | tile | ) |

inline static